.flex {display: flex;}
.justify-start {justify-content: start;}
.justify-end {justify-content: end;}
.justify-center {justify-content: center;}
.justify-between {justify-content: space-between;}
.items-stretch {align-items: stretch;}
.items-start {align-items: start;}
.items-center {align-items: center;}
.items-end {align-items: end;}
.flex-col {flex-direction: column;}
.flex-wrap {flex-wrap: wrap;}
.sp {display: none;}
@media (max-width: 768px) {
.pc {display: none;}
.sp {display: block;}
}
.center-x {
  left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
}
.center-y {
  top: 50%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
}
.center-xy {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

:root{
  --mainBlue: #212C72;
  --mainGray: #D9D9D9;
}
.josefin{
  font-family: "Josefin Sans", sans-serif;
}

.frame{
  z-index: 1700;
  pointer-events: none;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  border: 3px solid var(--mainBlue);
}
.border{
  border: 3px solid var(--mainBlue);
}
.border-bottom{
  border-bottom: 3px solid var(--mainBlue);
}
.border-right{
  border-right: 3px solid var(--mainBlue);
}
.border-left{
  border-left: 3px solid var(--mainBlue);
}
.border-top{
  border-top: 3px solid var(--mainBlue);
}
.border-g{
  border: 3px solid var(--mainGray);
}
.border-gbottom{
  border-bottom: 3px solid var(--mainGray);
}
.border-gright{
  border-right: 3px solid var(--mainGray);
}
.border-gleft{
  border-left: 3px solid var(--mainGray);
}
.border-gtop{
  border-top: 3px solid var(--mainGray);
}

@media (hover: hover) {
  .hover{
    transition: all 0.3s ease 0s;
    cursor: pointer !important;
    &:hover{
      opacity: 0.8;
    }
  }
}

.main {
  min-height: calc(100vh - 4.625rem);
  margin-top: 4.625rem;
  margin-left: 4.625rem;
  padding-right: 3px;
}
.width94 {
  width: 94%;
  margin: 0 auto;
}
@media screen and (max-width: 768px) {
  .main {
    min-height: calc(100vh - 6rem);
    margin-top: 6rem;
    margin-left: 6rem;
  }
}

.cover-link {
  position: absolute;
  inset: 0;
  z-index: 1;
  transition: all 0.3s ease 0s;
}
.common-link {
  gap: 0.5rem;
  width: fit-content;
  & .text {
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.2;
    color: var(--mainBlue);
  }
  & .img {
    width: 1rem;
  }
}
.common-link02{
  background: var(--mainBlue);
  color: var(--mainGray);
  font-size: 2rem; 
  gap: 1.875rem; 
  padding: 1.875rem 0; 
  & img{
    width: 1.5rem; 
  }
}
.animation-link{
  transition: all 0.3s ease 0s;
  color: var(--mainBlue);
  font-weight: 600;
  position: relative;
  & .texts{
    padding-right: 2rem; 
    position: relative;
    &::after{
      position: absolute;
      content: "";
      background-image: url(../img/common/arrow01.svg);
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      width: 1.125rem; 
      height: 1.25rem; 
      top: 50%;
      transform: translateY(-50%);
      -webkit-transform: translateY(-50%);
      -ms-transform: translateY(-50%);
      right: 0;
      transition: all 0.3s ease 0s;
    }
  }
  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    transition: all 0.6s ease 0s;
    background-color: var(--mainBlue);
    z-index: -1;
  }
}
.anker-link{
  padding-top: 1.875rem;
  margin-top: -1.875rem;
  display: block;
}
.recruit-link{
  padding: 2.8125rem 0;
  & .texts{
    gap: 0.625rem;
  }
  & .text00{
    font-size: 1.25rem;
    text-align: center;
  }
  & .text{
    font-size: 1.75rem;
  }
  & .img{
    width: 1.1875rem;
  }
}
@media (hover: hover) {
  .cover-link {
    &:hover{
      background: var(--mainGray);
      opacity: 0.2;
    }
  }
  .animation-link {
    &:hover {
      & .texts{
        &::after{
          background-image: url(../img/common/arrow03.svg);
          right: -0.3125rem; 
        }
      }
      & .text,
      & .texts{
        color: var(--mainGray);
      }
    }
    &:hover::before {
      width: 100%;
    }
  }
  .recruit-link {
    &:hover{
      opacity: 0.8;
    }
  }
}
@media screen and (max-width: 768px) {
.common-link {
  gap: 1.28rem; 
  & .text {
    font-size: 1.28rem; 
  }
  & .img {
    width: 2.048rem; 
  }
}
.common-link02{
  font-size: 2.304rem; 
  gap: 2.56rem; 
  padding: 3.2rem 0; 
  & img{
    width: 3.072rem;
  }
}
.animation-link{
  & .texts{
    padding-right: 3.533rem; 
    &::after{
      width: 2.048rem;
      height: 2.304rem;
    }
  }
}
.anker-link {
  padding-top: 2rem;
  margin-top: -2rem;
}
.recruit-link{
  padding: 5rem 0;
  & .texts{
    gap: 1rem;
  }
  & .text00{
    font-size: 1.792rem;
    margin-bottom: 0.75rem;
  }
  & .text{
    font-size: 2.56rem;
  }
  & .img{
    width: 2.432rem;
  }
}
}